Check if the domain name is available
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Check if the domain name can be used to create a new application or update the application domain name
Method name
ManagementClient.checkDomainAvailable
Request parameters
| Name | Type | Is it required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| domain | string | Yes | - | Domain name | domain-a |
Sample code
ts
import { ManagementClient, Models } from "authing-node-sdk";
// Initialize ManagementClient
const managementClient = new ManagementClient({
// Need to be replaced with your GenAuth Access Key ID
accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
// Need to be replaced with your GenAuth Access Key Secret
accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
// If it is a private deployment customer, you need to set the GenAuth service domain name
// host: 'https://api.your-authing-service.com'
});
(async () => {
const result = await managementClient.checkDomainAvailable({
domain: "domain-a",
});
console.log(JSON.stringify(result, null, 2));
})();Request response
Type: CheckDomainAvailableSecretRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, you can use this status code to determine whether the operation is successful, 200 Indicates success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List |
| requestId | string | Request ID. Returned when the request fails. |
| data | <a CheckDomainAvailableDataDto | Response data |
Sample result:
json
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"available": true
}
}Data structure
CheckDomainAvailableDataDto
| Name | Type | Is it required | Description | Sample value |
|---|---|---|---|---|
| available | boolean | yes | is it available | true |